Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class DefaultRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
          org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory

All Implemented Interfaces:
  RegisterableItemsFactory, org.kie.internal.runtime.manager.InternalRegisterableItemsFactory

Direct Known Subclasses:
  InjectableRegisterableItemsFactory, KModuleRegisterableItemsFactory

    public class DefaultRegisterableItemsFactory

extends SimpleRegisterableItemsFactory

Default implementation of the `RegisterableItemsFactory` responsible for providing a common set of WorkItemHandlers and EventListeners. This factory should not be used in CDI container.
It will deliver fully configured instances of the following:

- a WorkItemHandler for "Human Task" that is configured with local task service
- a JPA audit logger - for history logging
- a event listener to trigger rules automatically without a need of invoking fireAllRules

Moreover, it will invoke its super methods to define the rest of the registerable items, that might override defaults when they are added to the resulting map at the end.

See Also:
  `InjectableRegisterableItemsFactory`

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
`runtimeManager`

Constructor Summary
`DefaultRegisterableItemsFactory()`

Method Summary
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)` Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`
`AuditEventBuilder` | `getAuditBuilder()`
`AuditEventBuilder` | `getAuditBuilder(RuntimeEngine engine)`
`protected
`<T> List<T>`
` | `getEventListenerFromDescriptor(RuntimeEngine runtime, Class<T> type)`
`Map<String,Object>` | `getGlobals(RuntimeEngine runtime)` Returns globals that shall be registered on `KieSession`.
`protected Map<String,Object>` | `getGlobalsFromDescriptor(RuntimeEngine runtime)`
`protected WorkItemHandler` | `getHTWorkItemHandler(RuntimeEngine runtime)`
`protected Object` | `getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model, ClassLoader classloader, Map<String,Object> contaxtParams)`
`protected Map<String,Object>` | `getParametersMap(RuntimeEngine runtime)`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)` Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`
`List<RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners(RuntimeEngine runtime)` Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`
`List<TaskLifeCycleEventListener>` | `getTaskListeners()` Return new instances of `TaskLifeCycleEventListener` that will be registered on `RuntimeEngine`.
`protected List<TaskLifeCycleEventListener>` | `getTaskListenersFromDescriptor()`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)` Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`
`protected Map<String,WorkItemHandler>` | `getWorkItemHandlersFromDescriptor(RuntimeEngine runtime)`
`void` | `setAuditBuilder(AuditEventBuilder auditBuilder)`

Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
`addAgendaListener, addGlobal, addProcessListener, addTaskListener, addWorkingMemoryListener, addWorkItemHandler, createInstance, getRuntimeManager, setRuntimeManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegisterableItemsFactory

    public DefaultRegisterableItemsFactory()

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `WorkItemHandler` that will be registered on `RuntimeEngine`

  Specified by:
    `getWorkItemHandlers` in interface `RegisterableItemsFactory`
  Overrides:
    `getWorkItemHandlers` in class `SimpleRegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case handler need to make use of it internally
  Returns:
    map of handlers to be registered - in case of no handlers empty map shall be returned.

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `ProcessEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getProcessEventListeners` in interface `RegisterableItemsFactory`
  Overrides:
    `getProcessEventListeners` in class `SimpleRegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `AgendaEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getAgendaEventListeners` in interface `RegisterableItemsFactory`
  Overrides:
    `getAgendaEventListeners` in class `SimpleRegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getRuleRuntimeEventListeners

    public List<RuleRuntimeEventListener> getRuleRuntimeEventListeners(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns new instances of `RuleRuntimeEventListener` that will be registered on `RuntimeEngine`

  Specified by:
    `getRuleRuntimeEventListeners` in interface `RegisterableItemsFactory`
  Overrides:
    `getRuleRuntimeEventListeners` in class `SimpleRegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case listeners need to make use of it internally
  Returns:
    list of listeners to be registered - in case of no listeners empty list shall be returned.

### getTaskListeners

    public List<TaskLifeCycleEventListener> getTaskListeners()

  Description copied from interface: `RegisterableItemsFactory`
  Return new instances of `TaskLifeCycleEventListener` that will be registered on `RuntimeEngine`.

  Specified by:
    `getTaskListeners` in interface `RegisterableItemsFactory`
  Overrides:
    `getTaskListeners` in class `SimpleRegisterableItemsFactory`
  Returns:

### getGlobals

    public Map<String,Object> getGlobals(RuntimeEngine runtime)

  Description copied from interface: `RegisterableItemsFactory`
  Returns globals that shall be registered on `KieSession`.

  Specified by:
    `getGlobals` in interface `RegisterableItemsFactory`
  Overrides:
    `getGlobals` in class `SimpleRegisterableItemsFactory`
  Parameters:
    `runtime` - provides `RuntimeEngine` in case globals need to make use of it internally
  Returns:
    map of globals to be registered - in case of no globals empty map shall be returned.

### getHTWorkItemHandler

    protected WorkItemHandler getHTWorkItemHandler(RuntimeEngine runtime)

### getAuditBuilder

    public AuditEventBuilder getAuditBuilder()

### getAuditBuilder

    public AuditEventBuilder getAuditBuilder(RuntimeEngine engine)

### setAuditBuilder

    public void setAuditBuilder(AuditEventBuilder auditBuilder)

### getInstanceFromModel

    protected Object getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model,
                                          ClassLoader classloader,
                                          Map<String,Object> contaxtParams)

### getParametersMap

    protected Map<String,Object> getParametersMap(RuntimeEngine runtime)

### getTaskListenersFromDescriptor

    protected List<TaskLifeCycleEventListener> getTaskListenersFromDescriptor()

### getWorkItemHandlersFromDescriptor

    protected Map<String,WorkItemHandler> getWorkItemHandlersFromDescriptor(RuntimeEngine runtime)

### getEventListenerFromDescriptor

    protected <T> List<T> getEventListenerFromDescriptor(RuntimeEngine runtime,
                                                         Class<T> type)

### getGlobalsFromDescriptor

    protected Map<String,Object> getGlobalsFromDescriptor(RuntimeEngine runtime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.